# sigc::signal< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil > Class Template Reference

Convenience wrapper for the numbered sigc::signal2 template. More...

Inherits signal2< T_return, T_arg1, T_arg2, nil >.

Collaboration diagram for sigc::signal< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil >:
[legend]

List of all members.

## Classes
class | accumulated
| Convenience wrapper for the numbered sigc::signal2 template. More...
## Public Member Functions
| signal (const signal& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2>
class sigc::signal< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil >

Convenience wrapper for the numbered sigc::signal2 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::signal template for 2 argument(s).

The documentation for this class was generated from the following file:

- sigc++/signal.h